#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "configinfo.h"
#include "struct_/projectinfo.h"
#include "handle/packinfomanger.h"
#include "handle/packinfoseed2server.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class ShortcutConfig;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushAuto_clicked();

    void on_pushList_clicked();

    void on_pushConfig_clicked();

    void on_backButton_clicked();

    void on_action_2_triggered();

private:
    void backMenu();
    void backSelect(int i = 0);
    void changeToSettings();
    void changeToAddNew();
    void FixedAndUncertain(QString batchno);
    void backFAndU();
    void changeToPackDetail();
    void changeToShowMaDan(QString baseModelName,int status,QString modelName = nullptr);
    void changeToShowXiangDan(QString baseModelName,int status,QString modelName = nullptr);
    void changeToShowBoxModel();
    void changeToShowPackModel();

    void on_buding();
    void on_dingzhong();
//    RtuPort rtuport;
public slots:
    void logout();

protected:
    void closeEvent(QCloseEvent *event); // 关闭时调用
private:
    Ui::MainWindow *ui;
    ShortcutConfig *config;
    HttpRequest *httprequest;
};
#endif // MAINWINDOW_H
